Package com.independentsoft.office.charts

# Class DataLabel

java.lang.Object
com.independentsoft.office.charts.DataLabel

public class DataLabel extends Object
The Class DataLabel.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataLabel()`
  Instantiates a new data label.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DataLabel`
  `clone()`
  `ChartShapeProperties`
  `getChartShapeProperties()`
  Gets the chart shape properties.
  `ChartText`
  `getChartText()`
  Gets the chart text.
  `ExtensionList`
  `getExtensionList()`
  Gets the extension list (`c:extLst`).
  `int`
  `getIndex()`
  Gets the index.
  `Layout`
  `getLayout()`
  Gets the layout.
  `NumberFormat`
  `getNumberFormat()`
  Gets the number format.
  `DataLabelPosition`
  `getPosition()`
  Gets the position.
  `String`
  `getSeparator()`
  Gets the separator.
  `TextProperties`
  `getTextProperties()`
  Gets the text properties.
  `boolean`
  `isDelete()`
  Checks if is delete.
  `boolean`
  `isShowBubbleSize()`
  Checks if is show bubble size.
  `boolean`
  `isShowCategoryName()`
  Checks if is show category name.
  `boolean`
  `isShowLegendKey()`
  Checks if is show legend key.
  `boolean`
  `isShowPercent()`
  Checks if is show percent.
  `boolean`
  `isShowSeriesName()`
  Checks if is show series name.
  `boolean`
  `isShowValue()`
  Checks if is show value.
  `void`
  `setChartText​(ChartText chartText)`
  Sets the chart text.
  `void`
  `setDelete​(boolean delete)`
  Sets the delete.
  `void`
  `setExtensionList​(ExtensionList extensionList)`
  Sets the extension list (`c:extLst`).
  `void`
  `setIndex​(int index)`
  Sets the index.
  `void`
  `setLayout​(Layout layout)`
  Sets the layout.
  `void`
  `setNumberFormat​(NumberFormat numberFormat)`
  Sets the number format.
  `void`
  `setPosition​(DataLabelPosition position)`
  Sets the position.
  `void`
  `setSeparator​(String separator)`
  Sets the separator.
  `void`
  `setShowBubbleSize​(boolean showBubbleSize)`
  Sets the show bubble size.
  `void`
  `setShowCategoryName​(boolean showCategoryName)`
  Sets the show category name.
  `void`
  `setShowLegendKey​(boolean showLegendKey)`
  Sets the show legend key.
  `void`
  `setShowPercent​(boolean showPercent)`
  Sets the show percent.
  `void`
  `setShowSeriesName​(boolean showSeriesName)`
  Sets the show series name.
  `void`
  `setShowValue​(boolean showValue)`
  Sets the show value.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DataLabel

    public DataLabel()
    Instantiates a new data label.

- ## Method Details

  - ### clone

    public DataLabel clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getExtensionList

    public ExtensionList getExtensionList()
    Gets the extension list (`c:extLst`).
    Returns:
      the extension list

  - ### setExtensionList

    public void setExtensionList​(ExtensionList extensionList)
    Sets the extension list (`c:extLst`).
    Parameters:
      `extensionList` - the new extension list

  - ### isDelete

    public boolean isDelete()
    Checks if is delete.
    Returns:
      true, if is delete

  - ### setDelete

    public void setDelete​(boolean delete)
    Sets the delete.
    Parameters:
      `delete` - the new delete

  - ### getPosition

    public DataLabelPosition getPosition()
    Gets the position.
    Returns:
      the position

  - ### setPosition

    public void setPosition​(DataLabelPosition position)
    Sets the position.
    Parameters:
      `position` - the new position

  - ### getIndex

    public int getIndex()
    Gets the index.
    Returns:
      the index

  - ### setIndex

    public void setIndex​(int index)
    Sets the index.
    Parameters:
      `index` - the new index

  - ### getLayout

    public Layout getLayout()
    Gets the layout.
    Returns:
      the layout

  - ### setLayout

    public void setLayout​(Layout layout)
    Sets the layout.
    Parameters:
      `layout` - the new layout

  - ### getNumberFormat

    public NumberFormat getNumberFormat()
    Gets the number format.
    Returns:
      the number format

  - ### setNumberFormat

    public void setNumberFormat​(NumberFormat numberFormat)
    Sets the number format.
    Parameters:
      `numberFormat` - the new number format

  - ### getSeparator

    public String getSeparator()
    Gets the separator.
    Returns:
      the separator

  - ### setSeparator

    public void setSeparator​(String separator)
    Sets the separator.
    Parameters:
      `separator` - the new separator

  - ### isShowBubbleSize

    public boolean isShowBubbleSize()
    Checks if is show bubble size.
    Returns:
      true, if is show bubble size

  - ### setShowBubbleSize

    public void setShowBubbleSize​(boolean showBubbleSize)
    Sets the show bubble size.
    Parameters:
      `showBubbleSize` - the new show bubble size

  - ### isShowCategoryName

    public boolean isShowCategoryName()
    Checks if is show category name.
    Returns:
      true, if is show category name

  - ### setShowCategoryName

    public void setShowCategoryName​(boolean showCategoryName)
    Sets the show category name.
    Parameters:
      `showCategoryName` - the new show category name

  - ### isShowLegendKey

    public boolean isShowLegendKey()
    Checks if is show legend key.
    Returns:
      true, if is show legend key

  - ### setShowLegendKey

    public void setShowLegendKey​(boolean showLegendKey)
    Sets the show legend key.
    Parameters:
      `showLegendKey` - the new show legend key

  - ### isShowPercent

    public boolean isShowPercent()
    Checks if is show percent.
    Returns:
      true, if is show percent

  - ### setShowPercent

    public void setShowPercent​(boolean showPercent)
    Sets the show percent.
    Parameters:
      `showPercent` - the new show percent

  - ### isShowSeriesName

    public boolean isShowSeriesName()
    Checks if is show series name.
    Returns:
      true, if is show series name

  - ### setShowSeriesName

    public void setShowSeriesName​(boolean showSeriesName)
    Sets the show series name.
    Parameters:
      `showSeriesName` - the new show series name

  - ### isShowValue

    public boolean isShowValue()
    Checks if is show value.
    Returns:
      true, if is show value

  - ### setShowValue

    public void setShowValue​(boolean showValue)
    Sets the show value.
    Parameters:
      `showValue` - the new show value

  - ### getChartShapeProperties

    public ChartShapeProperties getChartShapeProperties()
    Gets the chart shape properties.
    Returns:
      the chart shape properties

  - ### getChartText

    public ChartText getChartText()
    Gets the chart text.
    Returns:
      the chart text

  - ### setChartText

    public void setChartText​(ChartText chartText)
    Sets the chart text.
    Parameters:
      `chartText` - the new chart text

  - ### getTextProperties

    public TextProperties getTextProperties()
    Gets the text properties.
    Returns:
      the text properties